Subject: Re: [PATCH 0/2] scsi: core: regression fixes for request batching

From: Bart Van Assche <[email-masked]>
Date: Wed, 7 Aug 2019 10:08:17 -0700

On 8/7/19 7:49 AM, Steffen Maier wrote:
> Hi James, Martin, Paolo, Ming,
> 
> multipathing with linux-next is broken since 20190723 in our CI.
> The patches fix a memleak and a severe dh/multipath functional regression.
> It would be nice if we could get them to 5.4/scsi-queue and also next.
 >
> I would have preferred if such a new feature had used its own
> new copy scsi_mq_ops_batching instead of changing the use case and
> semantics of the existing scsi_mq_ops, because this would likely
> cause less regressions for all the other users not using the new feature.

For both patches:

Reviewed-by: Bart Van Assche <[email-masked]>

BTW, these two patches fix several nvmeof-mp blktests regressions.

Bart.